﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.Hive.Experiment.Views {
  public static class ControlExtensions {
    public static void InvokeIfRequired(this Control c, Action<Control> action) {
      if (c.InvokeRequired) {
        c.Invoke((Action)(() => action(c)));
      } else {
        action(c);
      }
    }
  }
}
